CPSW(4) | Device Drivers Manual | CPSW(4)

# NAME

`cpsw` — Texas Instruments CPSW 3-port Ethernet Switch

# SYNOPSIS

`cpsw* at obio?`

# DESCRIPTION

The `cpsw` driver supports the TI AM335x 3-port Ethernet Switch subsystem.

# SEE ALSO

ifmedia(4), mii(4), ifconfig(8)

# HISTORY

The `cpsw` driver appeared in NetBSD 7.0.

# AUTHORS

Jonathan A. Kollasch ⟨jakllsch@NetBSD.org⟩

December 2, 2025 | NetBSD 11.99